import { StackFrame } from '@sentry/types';
/**
 * This was originally forked from https://github.com/occ/TraceKit, but has since been
 * largely modified and is now maintained as part of Sentry JS SDK.
 */
/**
 * An object representing a JavaScript stack trace.
 * {Object} StackTrace
 * {string} name The name of the thrown exception.
 * {string} message The exception error message.
 * {TraceKit.StackFrame[]} stack An array of stack frames.
 */
export interface StackTrace {
    name: string;
    message: string;
    stack: StackFrame[];
}
/** JSDoc */
export declare function computeStackTrace(ex: Error & {
    framesToPop?: number;
    stacktrace?: string;
}): StackTrace;
//# sourceMappingURL=tracekit.d.ts.map